import { EOrientation } from "../types";
declare type TableElement = 'table-header' | 'table-body' | 'table-row' | 'table-cell';
export declare class TableTransfrom {
    private orientation;
    constructor(orientation: EOrientation);
    tableTransform(elem: HTMLDivElement, scale?: number): HTMLDivElement;
    createTableElement(type: TableElement): HTMLDivElement;
    transformRow(row: HTMLTableRowElement): HTMLDivElement;
    transformHeader(tableHeader: HTMLTableSectionElement): HTMLDivElement;
    transformBody(tableBody: HTMLTableSectionElement): HTMLDivElement;
    getTableElement(tableElement: HTMLDivElement, selector: string): Element[];
    tableInspect(divTable: HTMLDivElement): number[];
    tableShrink(divTable: HTMLDivElement, maxWidth: number[]): void;
}
export {};
